Bug 192525 - ports-mgmt/portlint false positive on DEBUG option
Summary: ports-mgmt/portlint false positive on DEBUG option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-09 14:30 UTC by Serhii (Sergey) Kozlov
Modified: 2014-10-08 23:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serhii (Sergey) Kozlov freebsd_committer 2014-08-09 14:30:45 UTC
Portlint gives the false positive warning

WARN: Makefile: DEBUG is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MDEBUG appears.

When DEBUG option is handled by DEBUG_FLAGS

Affected new port PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=181527
Comment 1 John Marino freebsd_committer 2014-08-09 14:42:48 UTC
Over to maintainer...
Comment 2 Joe Marcus Clarke freebsd_committer 2014-09-18 16:15:42 UTC
Fixed in CVS pending the next release.
Comment 3 commit-hook freebsd_committer 2014-10-08 23:40:06 UTC
A commit references this bug:

Author: marcus
Date: Wed Oct  8 23:40:04 UTC 2014
New revision: 370494
URL: https://svnweb.freebsd.org/changeset/ports/370494

Log:
  Update to 2.15.5.

  * Do not report on DEBUG as an OPTION. [1]
  * Check for use of muted INSTALL_foo commands.
  * Warn on use of @dirrm[try].
  * Check to make sure rc.d scripts contain a '# PROVIDE:' line. [2]
  * Check to see that the options provided to USES are sorted. [3]
  * Fix an errant "direct use of command" warning. [4]
  * Remove the check to see if StartupNotify is the empty string in
    DESKTOP_ENTRIES.  This is allowed per the spec and per the porter's
    handbook. [5]
  * Check for empty lines in plist. [6]
  * Check for direct command use in SHEBANG_FILES. [7]

  PR:		192525 [1]
  		193464 [2]
  		193792 [3]
  		193793 [4]
  		193456 [5]
  		193794 [6]
  		193795 [7]

Changes:
  head/ports-mgmt/portlint/Makefile
  head/ports-mgmt/portlint/src/portlint.pl
Comment 4 Joe Marcus Clarke freebsd_committer 2014-10-08 23:43:00 UTC
Implemented in 2.15.5.